## zst 0.2

=== debian/changelog ===
zst (0.2-1) unstable; urgency=medium

  * New upstream release, mostly portability changes.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 11 Jan 2023 09:01:17 +0100

zst (0.1-1) experimental; urgency=medium

  * Initial release (Closes: #1023305)

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 06 Dec 2022 11:46:16 +0100
