## zst 0.4

=== debian/changelog ===
zst (0.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1113661)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 13:29:24 +0300

zst (0.4-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 08 Apr 2023 18:12:10 +0200

zst (0.3-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Impose a minimal version of libzstd B-Dependency.
  * An autopkgtest.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 09 Mar 2023 08:52:52 +0100
