=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libbz2-dev,
  liblzma-dev,
  libz-dev,
- libzstd-dev,
+ libzstd-dev (>> 1.4~),
  bzip2,
  xz-utils,
  zstd,
