=== debian/tests/control ===
Tests: canned
